/* GTK ADI Library
 * gtkadiutils.h: Utility functions
 * Copyright (C) 2003 - 2005, Leonid Zolotarev <leonid.zolotarev@gmail.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * $Id: gtkadiutils.h 32 2005-11-10 15:31:51Z romaxa_xz $
 */
 
#include <glib/gprintf.h>

#ifndef __GTK_ADI_UTILS_H__
#define __GTK_ADI_UTILS_H__

G_BEGIN_DECLS

/* GtkAdi version. */
GLIB_VAR const guint gtk_adi_major_version;
GLIB_VAR const guint gtk_adi_minor_version;
GLIB_VAR const guint gtk_adi_micro_version;
/*
#define ADI_DO_TRACE
*/
#ifdef ADI_DO_TRACE
#define ADI_TRACE(msg,...) g_printf("ADI: "msg"\n",__VA_ARGS__);
#define ADI_TRACE_MSG(msg) g_printf("ADI: "msg"\n");
#else
#define ADI_TRACE(msg,...)
#define ADI_TRACE_MSG(msg)
#endif /* ADI_DO_TRACE */

G_END_DECLS

#endif /* __GTK_ADI_UTILS_H__ */
